////////////////////////////////////////////////////////////////////////////////
///                            GL_NormalRendererStateVariables.h             ///
////////////////////////////////////////////////////////////////////////////////

#ifndef GLNORMALRENDERERGLOBALVARIABLES_H
#define GLNORMALRENDERERGLOBALVARIABLES_H

#include <X3DTK/kernel.h>

namespace X3DTK {
namespace GL {

/// StateVariables for the GLRenderer module.

class NormalRendererStateVariables : public StateVariables
{
public:
  /// Constructor.
  NormalRendererStateVariables();
  /// Destructor.
  virtual ~NormalRendererStateVariables();
  
  void setNormalLength(float value);
  float getNormalLength() const {return _normalLength;};
  
private:
  float _normalLength;
};

}
}

#endif
