////////////////////////////////////////////////////////////////////////////////
///                            MyBBoxUpdaterGeometry3DVisitor.h              ///
////////////////////////////////////////////////////////////////////////////////

#ifndef MYBBOXUPDATERGEOMETRY3DVISITOR_H
#define MYBBOXUPDATERGEOMETRY3DVISITOR_H

#include <X3DTK/x3d_bboxupdater.h>

namespace X3DTK {
namespace X3D {

class Icosahedron;

// Visitor for the Geometry3D component of the MyBBoxUpdater processor.

class MyBBoxUpdaterGeometry3DVisitor : public BBoxUpdaterGeometry3DVisitor
{
public:
  // Constructor.
  MyBBoxUpdaterGeometry3DVisitor();

  // Enters an X3DAbstractNode.
  virtual void enterIcosahedron(Icosahedron *I) const;
  
};

}
}

#endif
