////////////////////////////////////////////////////////////////////////////////
///                            MyMemReleaserGenericAbstractVisitor.h         ///
////////////////////////////////////////////////////////////////////////////////

#ifndef MYMEMRELEASERGENERICABSTRACTVISITOR_H
#define MYMEMRELEASERGENERICABSTRACTVISITOR_H

#include <X3DTK/x3d_scenegraph.h>
#include <X3DTK/memreleaser.h>

namespace X3DTK {

// Visitor for the Abstract component of the MemReleaser module.

class MyMemReleaserGenericAbstractVisitor : public MemReleaserGenericAbstractVisitor
{
public:
  // Constructor.
  MyMemReleaserGenericAbstractVisitor();

  // Enters an X3DAbstractNode.
  virtual void enterX3DAbstractNode(X3DAbstractNode *N) const;
  // Enters a Cylinder.
  virtual void enterCylinder(X3D::Cylinder *C) const;
};

}

#endif
