/// This file is part of the X3DToolKit library
/// Copyright (C) 2002-2003  Yannick Le Goc (legoc@imag.fr)

/// http://www-artis.imag.fr/Members/Yannick.Legoc/X3D/

/// This library is free software; you can redistribute it and/or
/// modify it under the terms of the GNU Lesser General Public
/// License as published by the Free Software Foundation; either
/// version 2.1 of the License, or (at your option) any later version.

/// This library is distributed in the hope that it will be useful,
/// but WITHOUT ANY WARRANTY; without even the implied warranty of
/// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
/// Lesser General Public License for more details.

/// You should have received a copy of the GNU Lesser General Public
/// License along with this library; if not, write to the Free Software
/// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
////////////////////////////////////////////////////////////////////////////////
//                            GL_X3DAppearanceChildNode.h                     //
//////////////////////////////////////////////////////////////////////////////// 

#ifndef X3DGLAPPEARANCECHILDNODE_H
#define X3DGLAPPEARANCECHILDNODE_H

#include "GL_X3DNode.h"

namespace X3DTK {
namespace GL {

/// Class providing an interface for the equivalent of the X3DAppearanceChildNode in the X3DGL tree.

class X3DTK_API X3DAppearanceChildNode : public X3DNode
{
public:
  /// Constructor.
  X3DAppearanceChildNode();
  /// Virtual destructor.
  virtual ~X3DAppearanceChildNode();

protected:
  /// Copy constructor.
  X3DAppearanceChildNode(const X3DAppearanceChildNode &N);
};

}
}

#endif
