#include "MESH_X3DMeshNode.h"
#include "X3D_X3DAppearanceNode.h"
#include "MemReleaser.h"

#include <iostream>

using namespace std;

namespace X3DTK {
namespace MESH {

X3DMeshNode::X3DMeshNode()
: X3DNode(), vertexSet(0), _x3dAppearance(0)
{
  defineTypeName("X3DMeshNode");
}

X3DMeshNode::X3DMeshNode(const X3DMeshNode &N)
: X3DNode(N), vertexSet(0), _x3dAppearance(N._x3dAppearance)
{
}

X3DMeshNode::~X3DMeshNode()
{
}

void X3DMeshNode::setX3DAppearanceNodeChild(X3D::X3DAppearanceNode *N)
{
  _x3dAppearance = N;
}

}
}
