#include "X3D_ShapeCreator.h"
#include "X3D_Appearance.h"
#include "X3D_FillProperties.h"
#include "X3D_LineProperties.h"
#include "X3D_Material.h"
#include "X3D_Shape.h"

namespace X3DTK {
namespace X3D {

ShapeCreator::ShapeCreator()
{
  defineComponentName("Shape", "X3D");

  defineNode<Appearance>();
  defineNode<FillProperties>();
  defineNode<LineProperties>();
  defineNode<Material>();
  defineNode<Shape>();
}

ShapeCreator::~ShapeCreator()
{
}

}
}
