TEMPLATE = lib 
CONFIG *= staticlib
TARGET = x3dglnodes

VPATH = Core \
        Geometry3D \
        Grouping \
        Rendering \
        Shape \
        Texturing

HEADERS = GL_X3DNode.h \
          GL_Scene.h \
          CylinderDrawArray.h \   
          GL_Cylinder.h \
          SphereDrawArray.h \
          GL_Sphere.h \
          BoxDrawArray.h \
          GL_Box.h \
          ConeDrawArray.h \
          GL_Cone.h \
          GL_IndexedFaceSet.h \         
          GL_Group.h \
          GL_Switch.h \
          GL_StaticGroup.h \
          GL_Transform.h \
          GL_X3DChildNode.h \
          GL_X3DGroupingNode.h \
          GL_IndexedLineSet.h \
          GL_PointSet.h \
          GL_TriangleFanSet.h \
          GL_TriangleSet.h \        
          GL_TriangleStripSet.h \
          GL_X3DComposedGeometryNode.h \
          GL_X3DGeometry3DNode.h \
          GL_X3DGeometryNode.h \          
          GL_Appearance.h \
          GL_FillProperties.h \
          GL_LineProperties.h \
          GL_Material.h \
          GL_Shape.h \
          GL_X3DAppearanceChildNode.h \
          GL_X3DAppearanceNode.h \
          GL_X3DMaterialNode.h \
          GL_X3DShapeNode.h \
          GL_ImageTexture.h \
          GL_X3DTexture2DNode.h \
          GL_X3DTextureNode.h \
          GL_X3DTextureTransformNode.h \
          
SOURCES = GL_X3DNode.cpp \
          GL_Scene.cpp \
          CylinderDrawArray.cpp \   
          GL_Cylinder.cpp \
          SphereDrawArray.cpp \
          GL_Sphere.cpp \
          BoxDrawArray.cpp \
          GL_Box.cpp \
          ConeDrawArray.cpp \
          GL_Cone.cpp \
          GL_IndexedFaceSet.cpp \         
          GL_Group.cpp \
          GL_Switch.cpp \
          GL_StaticGroup.cpp \
          GL_Transform.cpp \
          GL_X3DChildNode.cpp \
          GL_X3DGroupingNode.cpp \
          GL_IndexedLineSet.cpp \
          GL_PointSet.cpp \
          GL_TriangleFanSet.cpp \
          GL_TriangleSet.cpp \        
          GL_TriangleStripSet.cpp \
          GL_X3DComposedGeometryNode.cpp \
          GL_X3DGeometry3DNode.cpp \
          GL_X3DGeometryNode.cpp \          
          GL_Appearance.cpp \
          GL_FillProperties.cpp \
          GL_LineProperties.cpp \
          GL_Material.cpp \
          GL_Shape.cpp \
          GL_X3DAppearanceChildNode.cpp \
          GL_X3DAppearanceNode.cpp \
          GL_X3DMaterialNode.cpp \
          GL_X3DShapeNode.cpp \
          GL_ImageTexture.cpp \
          GL_X3DTexture2DNode.cpp \
          GL_X3DTextureNode.cpp \
          GL_X3DTextureTransformNode.cpp \
          
include(../../X3DToolKit.pri)

INCLUDEPATH += ../../../include/X3DTK
INCLUDEPATH += ../../../include/X3DTK/private

DESTDIR  = ../../../lib
OBJECTS_DIR = ../../../obj
