/// This file is part of the X3DToolKit library
/// Copyright (C) 2002-2003  Yannick Le Goc (legoc@imag.fr)

/// http://www-artis.imag.fr/Members/Yannick.Legoc/X3D/

/// This library is free software; you can redistribute it and/or
/// modify it under the terms of the GNU Lesser General Public
/// License as published by the Free Software Foundation; either
/// version 2.1 of the License, or (at your option) any later version.

/// This library is distributed in the hope that it will be useful,
/// but WITHOUT ANY WARRANTY; without even the implied warranty of
/// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
/// Lesser General Public License for more details.

/// You should have received a copy of the GNU Lesser General Public
/// License along with this library; if not, write to the Free Software
/// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
////////////////////////////////////////////////////////////////////////////////
//                            MESH_Mesh.h                                     //
////////////////////////////////////////////////////////////////////////////////

#ifndef MESH_MESH_H
#define MESH_MESH_H

#include "MESH_X3DData.h"
#include "MESH_TemplateMesh.h"

namespace X3DTK {
namespace MESH {

typedef TemplateMesh<MeshData, VertexData, EdgeData, FaceData> Mesh;

/// Constructor defined to name the node.

template<> 
Mesh::TemplateMesh()
{
  defineTypeName("Mesh");
};

}
}

#endif
